[gccsdk] Recommended distros for autobuilder

David Pitt pittdj at pittdj.co.uk
Wed Sep 2 09:35:36 PDT 2020


alan buckley, on 2 Sep, wrote:

> Theo Markettos<mailto:theo at markettos.org.uk> wrote on  02 September 2020
> 16:42
> 
> 
> > On Wed, Sep 02, 2020 at 12:02:00PM +0100, Chris Gransden wrote:
> > > In article <20200902093453.57jkr4hskfed2pjt at chiark.greenend.org.uk>,
> > >    Theo Markettos <theo at markettos.org.uk> wrote:
> > > > For those who have been (re)building autobuilder packages, what OS
> > > > are you currently building on?  And which sources are you building?
> > >
> > > Mostly debian Bullseye using 'Stable' sources. Some packages fail to
> > > build on more recent distros. If this happens then Unbuntu 16.0.4 LTS.
 
> > Thanks, that's useful.
> 
> I’ve been building on Ubuntu 18.0.4 LTS for the packages I’ve been
> uploading. I find that I get some failures when building the packages
> Chris has just updated. So far most of the failures have been missing
> tools though.

My general view is that little now builds on Ubuntu 20.04 or 18.04. 

As an example I have been unable to build otterbrowser on Ubuntu, with
either 20.04 or 18.04. It fails in libexpat with this :-
 
make[2]: Leaving directory
'/home/djp/gccsdk/build/libexpat1/libexpat-R_2_2_6/expat/xmlwf'
Making all in doc
make[2]: Entering directory
'/home/djp/gccsdk/build/libexpat1/libexpat-R_2_2_6/expat/doc'
ERROR: Configure with --with-docbook for "make dist".
Makefile:567: recipe for target 'xmlwf.1' failed
make[2]: *** [xmlwf.1] Error 1
make[2]: Leaving directory
'/home/djp/gccsdk/build/libexpat1/libexpat-R_2_2_6/expat/doc'
Makefile:558: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
'/home/djp/gccsdk/build/libexpat1/libexpat-R_2_2_6/expat'
Makefile:465: recipe for target 'all' failed
make: *** [all] Error 2

I am now off to try my luck with Ubuntu 16.04.
-- 
David Pitt



More information about the gcc mailing list